summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2020-07-25 00:24:36 +0300
committerAndreas K. Hüttel <dilfridge@gentoo.org>2020-07-25 00:25:56 +0300
commit89d746829c14ffb7ea1cc2de97bab63d0b77fdb5 (patch)
tree400255cda77b956f0df733a5d4f70b6c03f98be4 /eclass
parentdev-util/buildbot: Revision bump, fixes idna dep requirement (diff)
downloadgentoo-89d746829c14ffb7ea1cc2de97bab63d0b77fdb5.tar.gz
gentoo-89d746829c14ffb7ea1cc2de97bab63d0b77fdb5.tar.bz2
gentoo-89d746829c14ffb7ea1cc2de97bab63d0b77fdb5.zip
cmake*.eclass: Hardcode CMAKE_FIND_LIBRARY_CUSTOM_LIB_SUFFIX for riscv
Bug: https://bugs.gentoo.org/689410 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/cmake-utils.eclass6
-rw-r--r--eclass/cmake.eclass6
2 files changed, 12 insertions, 0 deletions
diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index b08c969707ec..8127a66c2b52 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -657,6 +657,12 @@ cmake-utils_src_configure() {
SET (CMAKE_INSTALL_MANDIR "${EPREFIX}/usr/share/man" CACHE PATH "")
SET (CMAKE_USER_MAKE_RULES_OVERRIDE "${build_rules}" CACHE FILEPATH "Gentoo override rules")
_EOF_
+
+ # See bug 689410
+ if [[ "${ARCH}" == riscv ]]; then
+ echo 'SET (CMAKE_FIND_LIBRARY_CUSTOM_LIB_SUFFIX '"${libdir#lib}"' CACHE STRING "library search suffix" FORCE)' >> "${common_config}" || die
+ fi
+
[[ "${NOCOLOR}" = true || "${NOCOLOR}" = yes ]] && echo 'SET (CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}"
if [[ ${EAPI} != [56] ]]; then
diff --git a/eclass/cmake.eclass b/eclass/cmake.eclass
index 3da3b9aeb555..f43d5af0f7ab 100644
--- a/eclass/cmake.eclass
+++ b/eclass/cmake.eclass
@@ -471,6 +471,12 @@ cmake_src_configure() {
SET (CMAKE_INSTALL_DOCDIR "${EPREFIX}/usr/share/doc/${PF}" CACHE PATH "")
SET (BUILD_SHARED_LIBS ON CACHE BOOL "")
_EOF_
+
+ # See bug 689410
+ if [[ "${ARCH}" == riscv ]]; then
+ echo 'SET (CMAKE_FIND_LIBRARY_CUSTOM_LIB_SUFFIX '"${libdir#lib}"' CACHE STRING "library search suffix" FORCE)' >> "${common_config}" || die
+ fi
+
if [[ "${NOCOLOR}" = true || "${NOCOLOR}" = yes ]]; then
echo 'SET (CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}" || die
fi